## msn-pecan 0.0.14

=== Makefile ===
CC=gcc

PLATFORM=$(shell uname -s)

PURPLE_CFLAGS=`pkg-config --cflags purple`
PURPLE_LIBS=`pkg-config --libs purple`
PURPLE_PREFIX=`pkg-config --variable=prefix purple`

GOBJECT_CFLAGS=`pkg-config --cflags gobject-2.0`
GOBJECT_LIBS=`pkg-config --libs gobject-2.0`

ifdef DEBUG
CFLAGS+=-ggdb
else
CFLAGS+=-O2
endif

EXTRA_WARNINGS=-Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith \
	       -Wbad-function-cast -Wmissing-prototypes -Wstrict-prototypes \
	       -Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
	       -Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -ansi -std=c99

SIMPLE_WARNINGS=-Wextra -ansi -std=c99 -Wno-unused-parameter

OTHER_WARNINGS=-D_FORTIFY_SOURCE=2 -fstack-protector -g3 -Wdisabled-optimization \
	       -Wendif-labels -Wformat=2 -Wstack-protector -Wswitch

CFLAGS+=-Wall # $(EXTRA_WARNINGS)

override CFLAGS+=-I. -DHAVE_LIBPURPLE

# For glib < 2.6 support (libpurple maniacs)
FALLBACK_CFLAGS+=-I./fix_purple

LDFLAGS:=-Wl,--no-undefined

purpledir=$(DESTDIR)/$(PURPLE_PREFIX)/lib/purple-2

objects = \
	  error.o \
	  msn.o \
	  nexus.o \
	  notification.o \
	  page.o \
	  session.o \
	  switchboard.o \
	  sync.o \
	  pecan_log.o \
	  pecan_printf.o \
	  pecan_util.o \
	  pecan_status.o \
	  cmd/cmdproc.o \
	  cmd/command.o \
	  cmd/history.o \
	  cmd/msg.o \
	  cmd/table.o \
	  cmd/transaction.o \
	  io/pecan_buffer.o \
	  ab/pecan_group.o \
	  ab/pecan_contact.o \
	  ab/pecan_contactlist.o \
	  io/pecan_stream.o \
	  io/pecan_node.o \
	  io/pecan_cmd_server.o \
	  io/pecan_http_server.o \
	  cvr/slp.o \
	  cvr/slpcall.o \
	  cvr/slplink.o \
	  cvr/slpmsg.o \
	  cvr/slpsession.o \
	  cvr/pecan_slp_object.o \
	  fix_purple.o

ifdef DIRECTCONN
objects += directconn.o
override CFLAGS += -DMSN_DIRECTCONN
endif

sources = $(patsubst %.o,%.c,$(objects))

ifeq ($(PLATFORM),Darwin)
	SHLIBEXT=dylib
else
ifeq ($(PLATFORM),win32)
	SHLIBEXT=dll
	LDFLAGS:=-Wl,--enable-auto-image-base -Wl,--exclude-libs=libintl.a
else
	SHLIBEXT=so
endif
endif

ifdef STATIC
	lib=libmsn-pecan.a
	override CFLAGS += -DPURPLE_STATIC_PRPL
else
	lib=libmsn-pecan.$(SHLIBEXT)
	override CFLAGS += -fPIC
endif


.PHONY: all clean

all: $(lib)

# from Lauri Leukkunen's build system
ifdef V
Q = 
P = @printf "" # <- space before hash is important!!!
else
P = @printf "[%s] $@\n" # <- space before hash is important!!!
Q = @
endif

$(lib): $(objects)
$(lib): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GOBJECT_CFLAGS) $(FALLBACK_CFLAGS)
$(lib): LIBS := $(PURPLE_LIBS) $(GOBJECT_LIBS)

%.dylib::
	$(P)DYLIB
	$(Q)$(CC) $(LDFLAGS) -dynamiclib -o $@ $^ $(LIBS)

%.dll::
	$(P)SHLIB
	$(Q)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

%.so::
	$(P)SHLIB
	$(Q)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

%.a::
	$(P)ARCHIVE
	$(AR) rcs $@ $^

%.o:: %.c
	$(P)CC
	$(Q)$(CC) $(CFLAGS) -Wp,-MMD,$(dir $@).$(notdir $@).d -o $@ -c $<

clean:
	rm -f $(lib) $(objects)

depend:
	makedepend -Y -- $(CFLAGS) -- $(sources)

dist:
	git archive --format=tar --prefix=msn-pecan-$(version)/ $(version) > /tmp/msn-pecan-$(version).tar
	mkdir -p msn-pecan-$(version)
	git-changelog > msn-pecan-$(version)/ChangeLog
	chmod 664 msn-pecan-$(version)/ChangeLog
	tar --append -f /tmp/msn-pecan-$(version).tar --owner root --group root msn-pecan-$(version)/ChangeLog
	rm -r msn-pecan-$(version)
	bzip2 /tmp/msn-pecan-$(version).tar

install: $(lib)
	mkdir -p $(purpledir)
	install $(lib) $(purpledir)
	# chcon -t textrel_shlib_t $(purpledir)/$(lib)

=== tests/Makefile ===
CC=gcc

GOBJECT_CFLAGS=`pkg-config --cflags gobject-2.0`
GOBJECT_LIBS=`pkg-config --libs gobject-2.0`

CFLAGS=-Wall -ggdb -I..

parse_test_objects=parse.o \
		   ../io/pecan_cmd_server.o \
		   ../io/pecan_node.o \
		   ../cmd/cmdproc.o \
		   ../cmd/command.o \
		   ../cmd/history.o \
		   ../cmd/transaction.o \
		   ../cmd/msg.o \
		   ../pecan_log.o

buffer_test_objects=buffer.o \
		   ../io/pecan_buffer.o

ab_test_objects=ab.o \
		../ab/pecan_contact.o \
		../ab/pecan_group.o \
		../ab/pecan_contactlist.o \
		../pecan_util.o

printf_test_objects=printf.o \
		    ../pecan_printf.o

# all: parse_test buffer_test ab_test printf_test
all: printf_test

parse_test: $(parse_test_objects)
	$(CC) $(GOBJECT_LIBS) $+ -o $@

buffer_test: $(buffer_test_objects)
	$(CC) $(GOBJECT_LIBS) $+ -o $@

ab_test: $(ab_test_objects)
	$(CC) $(GOBJECT_LIBS) $+ -o $@

printf_test: $(printf_test_objects)
	$(CC) $(GOBJECT_LIBS) $+ -o $@

%.o: %.c
	$(CC) $(CFLAGS) $(GOBJECT_CFLAGS) $< -c -o $@

clean:
	rm -f printf_test $(printf_test_objects)
	rm -f ab_test $(ab_test_objects)
	rm -f parse_test $(parse_test_objects)
	rm -f buffer_test $(buffer_test_objects)

## msn-pecan 0.0.16

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 CC=gcc
+XGETTEXT=xgettext
+MSGFMT=msgfmt
 
 PLATFORM=$(shell uname -s)
 
@@ -8,6 +10,8 @@
 
 GOBJECT_CFLAGS=`pkg-config --cflags gobject-2.0`
 GOBJECT_LIBS=`pkg-config --libs gobject-2.0`
+
+CVR = y
 
 ifdef DEBUG
 CFLAGS+=-ggdb
@@ -27,17 +31,25 @@
 
 CFLAGS+=-Wall # $(EXTRA_WARNINGS)
 
-override CFLAGS+=-I. -DHAVE_LIBPURPLE
+override CFLAGS+=-I. -D PACKAGE='"libmsn-pecan"' -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG -DLIBPURPLE_NEW_API \
+	-D PLUGIN_NAME='msn-pecan'
+ifdef CVR
+override CFLAGS+=-DPECAN_CVR
+endif
+
+# extra debugging
+override CFLAGS+=-DPECAN_DEBUG_SLP
 
 # For glib < 2.6 support (libpurple maniacs)
 FALLBACK_CFLAGS+=-I./fix_purple
 
 LDFLAGS:=-Wl,--no-undefined
 
-purpledir=$(DESTDIR)/$(PURPLE_PREFIX)/lib/purple-2
+prefix=$(DESTDIR)/$(PURPLE_PREFIX)
+plugin_dir=$(prefix)/lib/purple-2
+data_dir=$(prefix)/share
 
 objects = \
-	  error.o \
 	  msn.o \
 	  nexus.o \
 	  notification.o \
@@ -48,7 +60,10 @@
 	  pecan_log.o \
 	  pecan_printf.o \
 	  pecan_util.o \
+	  pecan_error.o \
 	  pecan_status.o \
+	  pecan_oim.o \
+	  pecan_ud.o \
 	  cmd/cmdproc.o \
 	  cmd/command.o \
 	  cmd/history.o \
@@ -56,6 +71,7 @@
 	  cmd/table.o \
 	  cmd/transaction.o \
 	  io/pecan_buffer.o \
+	  io/pecan_parser.o \
 	  ab/pecan_group.o \
 	  ab/pecan_contact.o \
 	  ab/pecan_contactlist.o \
@@ -63,13 +79,22 @@
 	  io/pecan_node.o \
 	  io/pecan_cmd_server.o \
 	  io/pecan_http_server.o \
-	  cvr/slp.o \
-	  cvr/slpcall.o \
-	  cvr/slplink.o \
-	  cvr/slpmsg.o \
-	  cvr/slpsession.o \
-	  cvr/pecan_slp_object.o \
+	  io/pecan_ssl_conn.o \
 	  fix_purple.o
+
+ifdef CVR
+objects += cvr/slp.o \
+	   cvr/slpcall.o \
+	   cvr/slplink.o \
+	   cvr/slpmsg.o \
+	   cvr/slpsession.o \
+	   cvr/pecan_slp_object.o
+endif
+
+ifdef SOCKET
+objects += io/pecan_socket.o
+override CFLAGS += -DPECAN_SOCKET
+endif
 
 ifdef DIRECTCONN
 objects += directconn.o
@@ -78,6 +103,9 @@
 
 sources = $(patsubst %.o,%.c,$(objects))
 
+PO_TEMPLATE = po/messages.pot
+CATALOGS = nl fi fr it sr es sv
+
 ifeq ($(PLATFORM),Darwin)
 	SHLIBEXT=dylib
 else
@@ -90,17 +118,18 @@
 endif
 
 ifdef STATIC
-	lib=libmsn-pecan.a
+	plugin=libmsn-pecan.a
 	override CFLAGS += -DPURPLE_STATIC_PRPL
 else
-	lib=libmsn-pecan.$(SHLIBEXT)
+	plugin=libmsn-pecan.$(SHLIBEXT)
 	override CFLAGS += -fPIC
 endif
 
-
 .PHONY: all clean
 
-all: $(lib)
+all: $(plugin)
+
+version := $(shell ./get-version.sh)
 
 # from Lauri Leukkunen's build system
 ifdef V
@@ -111,9 +140,9 @@
 Q = @
 endif
 
-$(lib): $(objects)
-$(lib): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GOBJECT_CFLAGS) $(FALLBACK_CFLAGS)
-$(lib): LIBS := $(PURPLE_LIBS) $(GOBJECT_LIBS)
+$(plugin): $(objects)
+$(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GOBJECT_CFLAGS) $(FALLBACK_CFLAGS) -D VERSION='"$(version)"'
+$(plugin): LIBS := $(PURPLE_LIBS) $(GOBJECT_LIBS)
 
 %.dylib::
 	$(P)DYLIB
@@ -136,21 +165,39 @@
 	$(Q)$(CC) $(CFLAGS) -Wp,-MMD,$(dir $@).$(notdir $@).d -o $@ -c $<
 
 clean:
-	rm -f $(lib) $(objects)
+	find -name '*.mo' -delete
+	rm -f $(plugin) $(objects)
 
 depend:
 	makedepend -Y -- $(CFLAGS) -- $(sources)
 
+po:
+	mkdir -p $@
+
+$(PO_TEMPLATE): $(sources) | po
+	$(XGETTEXT) -kmc --keyword=_ --keyword=N_ -o $@ $(sources)
+
 dist:
-	git archive --format=tar --prefix=msn-pecan-$(version)/ $(version) > /tmp/msn-pecan-$(version).tar
+	git archive --format=tar --prefix=msn-pecan-$(version)/ HEAD > /tmp/msn-pecan-$(version).tar
 	mkdir -p msn-pecan-$(version)
 	git-changelog > msn-pecan-$(version)/ChangeLog
 	chmod 664 msn-pecan-$(version)/ChangeLog
 	tar --append -f /tmp/msn-pecan-$(version).tar --owner root --group root msn-pecan-$(version)/ChangeLog
+	echo $(version) > msn-pecan-$(version)/version
+	chmod 664 msn-pecan-$(version)/version
+	tar --append -f /tmp/msn-pecan-$(version).tar --owner root --group root msn-pecan-$(version)/version
 	rm -r msn-pecan-$(version)
 	bzip2 /tmp/msn-pecan-$(version).tar
 
-install: $(lib)
-	mkdir -p $(purpledir)
-	install $(lib) $(purpledir)
-	# chcon -t textrel_shlib_t $(purpledir)/$(lib)
+install: $(plugin)
+	mkdir -p $(plugin_dir)
+	install $(plugin) $(plugin_dir)
+	# chcon -t textrel_shlib_t $(plugin_dir)/$(plugin)
+
+%.mo:: %.po
+	$(MSGFMT) -c -o $@ $<
+
+install_locales: $(foreach e,$(CATALOGS),po/libmsn-pecan-$(e).mo)
+	for x in $(CATALOGS); do \
+	install -D po/libmsn-pecan-$$x.mo $(data_dir)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	done

=== tests/Makefile ===
CC=gcc

GOBJECT_CFLAGS=`pkg-config --cflags gobject-2.0`
GOBJECT_LIBS=`pkg-config --libs gobject-2.0`

CHECK_CFLAGS=`pkg-config --cflags check`
CHECK_LIBS=`pkg-config --libs check`

CFLAGS=-Wall -ggdb -I..

cmd_parser_test_objects=cmd_parser.o \
			../io/pecan_cmd_server.o \
			../io/pecan_node.o \
			../cmd/cmdproc.o \
			../cmd/command.o \
			../cmd/history.o \
			../cmd/transaction.o \
			../cmd/msg.o \
			../pecan_log.o

buffer_test_objects=buffer.o \
		   ../io/pecan_buffer.o

ab_test_objects=ab.o \
		../ab/pecan_contact.o \
		../ab/pecan_group.o \
		../ab/pecan_contactlist.o \
		../pecan_util.o

printf_test_objects=printf.o \
		    ../pecan_printf.o

# from Lauri Leukkunen's build system
ifdef V
Q = 
P = @printf "" # <- space before hash is important!!!
else
P = @printf "[%s] $@\n" # <- space before hash is important!!!
Q = @
endif

all: 

check_buffer: buffer.o ../io/pecan_buffer.o
check_buffer: CFLAGS := $(CFLAGS) $(GOBJECT_CFLAGS) $(CHECK_CFLAGS)
check_buffer: LIBS := $(GOBJECT_LIBS) $(CHECK_LIBS)

checks += check_buffer

check_parser: parser.o ../io/pecan_parser.o ../io/pecan_node.o ../io/pecan_stream.o ../pecan_log.o ../pecan_printf.o
check_parser: CFLAGS := $(CFLAGS) $(GOBJECT_CFLAGS) $(CHECK_CFLAGS)
check_parser: LIBS := $(GOBJECT_LIBS) $(CHECK_LIBS)

checks += check_parser

all: $(checks)

check_%::
	$(P)LINK
	$(Q)$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

cmd_parser_test: $(cmd_parser_test_objects)
	$(CC) $(GOBJECT_LIBS) $+ -o $@

ab_test: $(ab_test_objects)
	$(CC) $(GOBJECT_LIBS) $+ -o $@

printf_test: $(printf_test_objects)
	$(CC) $(GOBJECT_LIBS) $+ -o $@

%.o: %.c
	$(CC) $(CFLAGS) $(GOBJECT_CFLAGS) $< -c -o $@

clean:
	rm -f printf_test $(printf_test_objects)
	rm -f ab_test $(ab_test_objects)
	rm -f cmd_parser_test $(cmd_parser_test_objects)
	rm -f $(checks)
	find . -name "*.o" | xargs rm -f

## msn-pecan 0.0.18

=== Makefile ===
CC := gcc
XGETTEXT := xgettext
MSGFMT := msgfmt

PLATFORM := $(shell uname -s)

PURPLE_CFLAGS := $(shell pkg-config --cflags purple)
PURPLE_LIBS := $(shell pkg-config --libs purple)
PURPLE_LIBDIR := $(shell pkg-config --variable=libdir purple)
PURPLE_DATADIR := $(shell pkg-config --variable=datadir purple)

GOBJECT_CFLAGS := $(shell pkg-config --cflags gobject-2.0)
GOBJECT_LIBS := $(shell pkg-config --libs gobject-2.0)

# default configuration options
CVR := y
LIBSIREN := y
PLUS_SOUNDS := y

ifdef DEBUG
  CFLAGS += -ggdb
else
  CFLAGS += -O2
endif

EXTRA_WARNINGS := -Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith \
	-Wbad-function-cast -Wmissing-prototypes -Wstrict-prototypes \
	-Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -ansi -std=c99

SIMPLE_WARNINGS := -Wextra -ansi -std=c99 -Wno-unused-parameter

OTHER_WARNINGS := -D_FORTIFY_SOURCE=2 -fstack-protector -g3 -Wdisabled-optimization \
	-Wendif-labels -Wformat=2 -Wstack-protector -Wswitch

CFLAGS += -Wall # $(EXTRA_WARNINGS)

override CFLAGS += -I. -D PACKAGE='"libmsn-pecan"' -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG -D PLUGIN_NAME='msn-pecan'

ifdef CVR
  override CFLAGS += -DPECAN_CVR
endif

ifndef DO_NOT_USE_PSM
  override CFLAGS += -DPECAN_USE_PSM
endif

ifdef LIBSIREN
  override CFLAGS += -DPECAN_LIBSIREN
  LIBSIREN_LIBS := -lm
endif

ifdef PLUS_SOUNDS
  override CFLAGS += -DRECEIVE_PLUS_SOUNDS
endif

# extra debugging
override CFLAGS += -DPECAN_DEBUG_SLP

# For glib < 2.6 support (libpurple maniacs)
FALLBACK_CFLAGS := -I./fix_purple

LDFLAGS := -Wl,--no-undefined

plugin_dir := $(DESTDIR)/$(PURPLE_LIBDIR)/purple-2
data_dir := $(DESTDIR)/$(PURPLE_DATADIR)

objects := msn.o \
	   nexus.o \
	   notification.o \
	   page.o \
	   session.o \
	   switchboard.o \
	   sync.o \
	   pecan_log.o \
	   pecan_printf.o \
	   pecan_util.o \
	   pecan_error.o \
	   pecan_status.o \
	   pecan_oim.o \
	   pecan_ud.o \
	   cmd/cmdproc.o \
	   cmd/command.o \
	   cmd/history.o \
	   cmd/msg.o \
	   cmd/table.o \
	   cmd/transaction.o \
	   io/pecan_buffer.o \
	   io/pecan_parser.o \
	   ab/pecan_group.o \
	   ab/pecan_contact.o \
	   ab/pecan_contactlist.o \
	   io/pecan_stream.o \
	   io/pecan_node.o \
	   io/pecan_cmd_server.o \
	   io/pecan_http_server.o \
	   io/pecan_ssl_conn.o \
	   utils/msgpluslive.o \
	   fix_purple.o

ifdef CVR
  objects += cvr/slp.o \
	     cvr/slpcall.o \
	     cvr/slplink.o \
	     cvr/slpmsg.o \
	     cvr/slpsession.o \
	     cvr/pecan_slp_object.o

endif

ifdef SOCKET
  objects += io/pecan_socket.o
  override CFLAGS += -DPECAN_SOCKET
endif

ifdef DIRECTCONN
  objects += directconn.o
  override CFLAGS += -DMSN_DIRECTCONN
endif

ifdef LIBSIREN
  objects += lib/libsiren/common.o \
	     lib/libsiren/dct4.o \
	     lib/libsiren/decoder.o \
	     lib/libsiren/huffman.o \
	     lib/libsiren/rmlt.o \
	     pecan_siren7.o
endif

sources := $(objects:.o=.c)
deps := $(objects:.o=.d)

PO_TEMPLATE := po/messages.pot
CATALOGS := ar da de es fi tr hu it nb nl pt_BR pt ru sr sv tr zh_CN zh_TW

ifeq ($(PLATFORM),Darwin)
  SHLIBEXT := dylib
else
ifeq ($(PLATFORM),win32)
  SHLIBEXT := dll
  LDFLAGS := -Wl,--enable-auto-image-base -Wl,--exclude-libs=libintl.a
  objects += win32/resource.res
else
  SHLIBEXT := so
endif
endif

ifdef STATIC
  plugin := libmsn-pecan.a
  override CFLAGS += -DPURPLE_STATIC_PRPL
else
  plugin := libmsn-pecan.$(SHLIBEXT)
ifneq ($(PLATFORM),win32)
  override CFLAGS += -fPIC
endif
endif

.PHONY: clean

all: $(plugin)

version := $(shell ./get-version.sh)

# from Lauri Leukkunen's build system
ifdef V
  Q = 
  P = @printf "" # <- space before hash is important!!!
else
  P = @printf "[%s] $@\n" # <- space before hash is important!!!
  Q = @
endif

plugin_libs := $(PURPLE_LIBS) $(GOBJECT_LIBS)

ifdef LIBSIREN
  plugin_libs += $(LIBSIREN_LIBS)
endif

$(plugin): $(objects)
$(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GOBJECT_CFLAGS) $(FALLBACK_CFLAGS) -D VERSION='"$(version)"'
$(plugin): LIBS := $(plugin_libs)

%.dylib::
	$(P)DYLIB
	$(Q)$(CC) $(LDFLAGS) -dynamiclib -o $@ $^ $(LIBS)

%.dll::
	$(P)SHLIB
	$(Q)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

%.so::
	$(P)SHLIB
	$(Q)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

%.a::
	$(P)ARCHIVE
	$(Q)(AR) rcs $@ $^

%.o:: %.c
	$(P)CC
	$(Q)$(CC) $(CFLAGS) -MMD -o $@ -c $<

%.res:: %.rc
	$(WINDRES) $< -O coff -o $@

clean:
	find -name '*.mo' -delete
	rm -f $(plugin) $(objects) $(deps)

po:
	mkdir -p $@

$(PO_TEMPLATE): $(sources) | po
	$(XGETTEXT) -kmc --keyword=_ --keyword=N_ -o $@ $(sources)

dist:
	git archive --format=tar --prefix=msn-pecan-$(version)/ HEAD > /tmp/msn-pecan-$(version).tar
	mkdir -p msn-pecan-$(version)
	git-changelog > msn-pecan-$(version)/ChangeLog
	chmod 664 msn-pecan-$(version)/ChangeLog
	tar --append -f /tmp/msn-pecan-$(version).tar --owner root --group root msn-pecan-$(version)/ChangeLog
	echo $(version) > msn-pecan-$(version)/version
	chmod 664 msn-pecan-$(version)/version
	tar --append -f /tmp/msn-pecan-$(version).tar --owner root --group root msn-pecan-$(version)/version
	rm -r msn-pecan-$(version)
	bzip2 /tmp/msn-pecan-$(version).tar

install: $(plugin)
	mkdir -p $(plugin_dir)
	install $(plugin) $(plugin_dir)
	# chcon -t textrel_shlib_t $(plugin_dir)/$(plugin) # for selinux

%.mo:: %.po
	$(MSGFMT) -c -o $@ $<

install_locales: $(foreach e,$(CATALOGS),po/libmsn-pecan-$(e).mo)
	for x in $(CATALOGS); do \
	install -D po/libmsn-pecan-$$x.mo $(data_dir)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
	done

-include $(deps)

## msn-pecan 0.1.0~rc1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
-CC := gcc
+CC := $(CROSS_COMPILE)gcc
+WINDRES := $(CROSS_COMPILE)windres
+
 XGETTEXT := xgettext
 MSGFMT := msgfmt
 
-PLATFORM := $(shell uname -s)
+PLATFORM := $(shell $(CC) -dumpmachine | cut -f 3 -d -)
 
 PURPLE_CFLAGS := $(shell pkg-config --cflags purple)
 PURPLE_LIBS := $(shell pkg-config --libs purple)
@@ -15,12 +17,18 @@
 # default configuration options
 CVR := y
 LIBSIREN := y
+LIBMSPACK := y
 PLUS_SOUNDS := y
+DEBUG := y
+
+CFLAGS := -O2
 
 ifdef DEBUG
   CFLAGS += -ggdb
-else
-  CFLAGS += -O2
+endif
+
+ifdef DEVEL
+  CFLAGS += -DPECAN_DEVEL
 endif
 
 EXTRA_WARNINGS := -Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith \
@@ -35,7 +43,8 @@
 
 CFLAGS += -Wall # $(EXTRA_WARNINGS)
 
-override CFLAGS += -I. -D PACKAGE='"libmsn-pecan"' -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG -D PLUGIN_NAME='msn-pecan'
+override CFLAGS += -D_XOPEN_SOURCE
+override CFLAGS += -I. -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG
 
 ifdef CVR
   override CFLAGS += -DPECAN_CVR
@@ -48,6 +57,11 @@
 ifdef LIBSIREN
   override CFLAGS += -DPECAN_LIBSIREN
   LIBSIREN_LIBS := -lm
+endif
+
+ifdef LIBMSPACK
+  override CFLAGS += -DPECAN_LIBMSPACK
+  LIBMSPACK_LIBS := -lm
 endif
 
 ifdef PLUS_SOUNDS
@@ -72,73 +86,77 @@
 	   session.o \
 	   switchboard.o \
 	   sync.o \
-	   pecan_log.o \
-	   pecan_printf.o \
-	   pecan_util.o \
-	   pecan_error.o \
-	   pecan_status.o \
-	   pecan_oim.o \
-	   pecan_ud.o \
+	   pn_log.o \
+	   pn_printf.o \
+	   pn_util.o \
+	   pn_buffer.o \
+	   pn_error.o \
+	   pn_status.o \
+	   pn_oim.o \
+	   pn_dp_manager.o \
 	   cmd/cmdproc.o \
 	   cmd/command.o \
-	   cmd/history.o \
 	   cmd/msg.o \
 	   cmd/table.o \
 	   cmd/transaction.o \
-	   io/pecan_buffer.o \
-	   io/pecan_parser.o \
-	   ab/pecan_group.o \
-	   ab/pecan_contact.o \
-	   ab/pecan_contactlist.o \
-	   io/pecan_stream.o \
-	   io/pecan_node.o \
-	   io/pecan_cmd_server.o \
-	   io/pecan_http_server.o \
-	   io/pecan_ssl_conn.o \
-	   utils/msgpluslive.o \
+	   io/pn_parser.o \
+	   ab/pn_group.o \
+	   ab/pn_contact.o \
+	   ab/pn_contactlist.o \
+	   io/pn_stream.o \
+	   io/pn_node.o \
+	   io/pn_cmd_server.o \
+	   io/pn_http_server.o \
+	   io/pn_ssl_conn.o \
 	   fix_purple.o
 
 ifdef CVR
-  objects += cvr/slp.o \
-	     cvr/slpcall.o \
-	     cvr/slplink.o \
-	     cvr/slpmsg.o \
-	     cvr/slpsession.o \
-	     cvr/pecan_slp_object.o
-
+  objects += cvr/pn_peer_call.o \
+	     cvr/pn_peer_link.o \
+	     cvr/pn_peer_msg.o \
+	     cvr/pn_msnobj.o
+  objects += libpurple/xfer.o
 endif
 
 ifdef SOCKET
-  objects += io/pecan_socket.o
-  override CFLAGS += -DPECAN_SOCKET
+  objects += io/pn_socket.o
+  override CFLAGS += -DPECAN_SOCKET -D__USE_GNU
 endif
 
 ifdef DIRECTCONN
-  objects += directconn.o
+  objects += cvr/pn_direct_conn.o
   override CFLAGS += -DMSN_DIRECTCONN
 endif
 
 ifdef LIBSIREN
-  objects += lib/libsiren/common.o \
-	     lib/libsiren/dct4.o \
-	     lib/libsiren/decoder.o \
-	     lib/libsiren/huffman.o \
-	     lib/libsiren/rmlt.o \
-	     pecan_siren7.o
+  objects += ext/libsiren/common.o \
+	     ext/libsiren/dct4.o \
+	     ext/libsiren/decoder.o \
+	     ext/libsiren/huffman.o \
+	     ext/libsiren/rmlt.o \
+	     pn_siren7.o
+endif
+
+ifdef LIBMSPACK
+  objects += ext/libmspack/cabd.o \
+	     ext/libmspack/mszipd.o \
+	     ext/libmspack/lzxd.o \
+	     ext/libmspack/qtmd.o \
+	     ext/libmspack/system.o
 endif
 
 sources := $(objects:.o=.c)
 deps := $(objects:.o=.d)
 
 PO_TEMPLATE := po/messages.pot
-CATALOGS := ar da de es fi tr hu it nb nl pt_BR pt ru sr sv tr zh_CN zh_TW
-
-ifeq ($(PLATFORM),Darwin)
+CATALOGS := ar da de es fi fr tr hu it nb nl pt_BR pt sr sv tr zh_CN zh_TW
+
+ifeq ($(PLATFORM),darwin)
   SHLIBEXT := dylib
 else
-ifeq ($(PLATFORM),win32)
+ifeq ($(PLATFORM),mingw32)
   SHLIBEXT := dll
-  LDFLAGS := -Wl,--enable-auto-image-base -Wl,--exclude-libs=libintl.a
+  LDFLAGS += -Wl,--enable-auto-image-base -L./win32
   objects += win32/resource.res
 else
   SHLIBEXT := so
@@ -150,7 +168,7 @@
   override CFLAGS += -DPURPLE_STATIC_PRPL
 else
   plugin := libmsn-pecan.$(SHLIBEXT)
-ifneq ($(PLATFORM),win32)
+ifneq ($(PLATFORM),mingw32)
   override CFLAGS += -fPIC
 endif
 endif
@@ -176,6 +194,10 @@
   plugin_libs += $(LIBSIREN_LIBS)
 endif
 
+ifdef LIBMSPACK
+  plugin_libs += $(LIBMSPACK_LIBS)
+endif
+
 $(plugin): $(objects)
 $(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GOBJECT_CFLAGS) $(FALLBACK_CFLAGS) -D VERSION='"$(version)"'
 $(plugin): LIBS := $(plugin_libs)
@@ -204,7 +226,7 @@
 	$(WINDRES) $< -O coff -o $@
 
 clean:
-	find -name '*.mo' -delete
+	find -name '*.mo' | xargs rm -f
 	rm -f $(plugin) $(objects) $(deps)
 
 po:
@@ -230,12 +252,18 @@
 	install $(plugin) $(plugin_dir)
 	# chcon -t textrel_shlib_t $(plugin_dir)/$(plugin) # for selinux
 
+uninstall:
+	rm -f $(plugin_dir)/$(plugin)
+	for x in $(CATALOGS); do \
+	rm -f $(data_dir)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	done
+
 %.mo:: %.po
 	$(MSGFMT) -c -o $@ $<
 
-install_locales: $(foreach e,$(CATALOGS),po/libmsn-pecan-$(e).mo)
+install_locales: $(foreach e,$(CATALOGS),po/$(e).mo)
 	for x in $(CATALOGS); do \
-	install -D po/libmsn-pecan-$$x.mo $(data_dir)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	install -D po/$$x.mo $(data_dir)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
 	done
 
 -include $(deps)

## msn-pecan 0.1.0~rc4

=== Makefile ===
CC := $(CROSS_COMPILE)gcc
WINDRES := $(CROSS_COMPILE)windres

XGETTEXT := xgettext
MSGFMT := msgfmt

PLATFORM := $(shell $(CC) -dumpmachine | cut -f 3 -d -)

PURPLE_CFLAGS := $(shell pkg-config --cflags purple)
PURPLE_LIBS := $(shell pkg-config --libs purple)
PURPLE_LIBDIR := $(shell pkg-config --variable=libdir purple)
PURPLE_DATADIR := $(shell pkg-config --variable=datadir purple)
PURPLE_PLUGINDIR := $(PURPLE_LIBDIR)/purple-2

GIO_CFLAGS := $(shell pkg-config --cflags gio-2.0)
GIO_LIBS := $(shell pkg-config --libs gio-2.0)

# default configuration options
CVR := y
LIBSIREN := y
LIBMSPACK := y
PLUS_SOUNDS := y
DEBUG := y
DIRECTCONN := y

CFLAGS := -O2

EXTRA_WARNINGS := -Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith \
	-Wbad-function-cast -Wmissing-prototypes -Wstrict-prototypes \
	-Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -ansi -std=c99

SIMPLE_WARNINGS := -Wextra -ansi -std=c99 -Wno-unused-parameter

OTHER_WARNINGS := -D_FORTIFY_SOURCE=2 -fstack-protector -g3 -Wdisabled-optimization \
	-Wendif-labels -Wformat=2 -Wstack-protector -Wswitch

CFLAGS += -Wall # $(EXTRA_WARNINGS)

ifdef DEBUG
  override CFLAGS += -ggdb
endif

ifdef DEVEL
  override CFLAGS += -DPECAN_DEVEL
endif

override CFLAGS += -D_XOPEN_SOURCE
override CFLAGS += -I. -DENABLE_NLS -DHAVE_LIBPURPLE -DPURPLE_DEBUG

ifdef CVR
  override CFLAGS += -DPECAN_CVR
endif

ifndef DO_NOT_USE_PSM
  override CFLAGS += -DPECAN_USE_PSM
endif

ifdef LIBSIREN
  override CFLAGS += -DPECAN_LIBSIREN
  LIBSIREN_LIBS := -lm
endif

ifdef LIBMSPACK
  override CFLAGS += -DPECAN_LIBMSPACK
  LIBMSPACK_LIBS := -lm
endif

ifdef PLUS_SOUNDS
  override CFLAGS += -DRECEIVE_PLUS_SOUNDS
endif

ifdef GIO
  override CFLAGS += -DUSE_GIO
endif

# extra debugging
override CFLAGS += -DPECAN_DEBUG_SLP

LDFLAGS := -Wl,--no-undefined

objects := msn.o \
	   nexus.o \
	   notification.o \
	   page.o \
	   session.o \
	   switchboard.o \
	   sync.o \
	   pn_log.o \
	   pn_printf.o \
	   pn_util.o \
	   pn_buffer.o \
	   pn_error.o \
	   pn_status.o \
	   pn_oim.o \
	   pn_dp_manager.o \
	   cmd/cmdproc.o \
	   cmd/command.o \
	   cmd/msg.o \
	   cmd/table.o \
	   cmd/transaction.o \
	   io/pn_parser.o \
	   ab/pn_group.o \
	   ab/pn_contact.o \
	   ab/pn_contactlist.o \
	   io/pn_stream.o \
	   io/pn_node.o \
	   io/pn_cmd_server.o \
	   io/pn_http_server.o \
	   io/pn_ssl_conn.o \
	   fix_purple.o

ifdef CVR
  objects += cvr/pn_peer_call.o \
	     cvr/pn_peer_link.o \
	     cvr/pn_peer_msg.o \
	     cvr/pn_msnobj.o
  objects += libpurple/xfer.o
endif

ifdef DIRECTCONN
  objects += cvr/pn_direct_conn.o
  objects += io/pn_dc_conn.o
  override CFLAGS += -DMSN_DIRECTCONN
endif

ifdef LIBSIREN
  objects += ext/libsiren/common.o \
	     ext/libsiren/dct4.o \
	     ext/libsiren/decoder.o \
	     ext/libsiren/huffman.o \
	     ext/libsiren/rmlt.o \
	     pn_siren7.o
endif

ifdef LIBMSPACK
  objects += ext/libmspack/cabd.o \
	     ext/libmspack/mszipd.o \
	     ext/libmspack/lzxd.o \
	     ext/libmspack/qtmd.o \
	     ext/libmspack/system.o
endif

sources := $(objects:.o=.c)
deps := $(objects:.o=.d)

CATALOGS := ar da de eo es fi fr tr hu it nb nl pt_BR pt sr sv tr zh_CN zh_TW

ifeq ($(PLATFORM),darwin)
  SHLIBEXT := dylib
else
ifeq ($(PLATFORM),mingw32)
  SHLIBEXT := dll
  LDFLAGS += -Wl,--enable-auto-image-base -L./win32
  objects += win32/resource.res
else
  SHLIBEXT := so
endif
endif

ifdef STATIC
  SHLIBEXT := a
  override CFLAGS += -DSTATIC_PECAN
else
ifneq ($(PLATFORM),mingw32)
  override CFLAGS += -fPIC
endif
endif

plugin := libmsn-pecan.$(SHLIBEXT)

.PHONY: clean

all: $(plugin)

version := $(shell ./get-version)

# pretty print
ifndef V
QUIET_CC    = @echo '   CC         '$@;
QUIET_LINK  = @echo '   LINK       '$@;
QUIET_CLEAN = @echo '   CLEAN      '$@;
QUIET_MO    = @echo '   MSGFMT     '$@;
QUIET_WR    = @echo '   WINDRES    '$@;
endif

D = $(DESTDIR)

plugin_libs := $(PURPLE_LIBS) $(GIO_LIBS)

ifdef LIBSIREN
  plugin_libs += $(LIBSIREN_LIBS)
endif

ifdef LIBMSPACK
  plugin_libs += $(LIBMSPACK_LIBS)
endif

$(plugin): $(objects)
$(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GIO_CFLAGS) $(FALLBACK_CFLAGS) -D VERSION='"$(version)"'
$(plugin): LIBS := $(plugin_libs)

messages.pot: $(sources)
	$(XGETTEXT) -m -c --keyword --keyword=_ --keyword=N_ -o $@ $^

%.dylib::
	$(QUIET_LINK)$(CC) $(LDFLAGS) -dynamiclib -o $@ $^ $(LIBS)

%.so %.dll::
	$(QUIET_LINK)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

%.a::
	$(QUIET_LINK)$(AR) rcs $@ $^

%.o:: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<

%.res:: %.rc
	$(QUIET_WR)$(WINDRES) $< -O coff -o $@

clean:
	$(QUIET_CLEAN)$(RM) $(plugin) $(objects) $(deps) `find -name '*.mo'`

%.mo:: %.po
	$(QUIET_MO)$(MSGFMT) -c -o $@ $<

dist: base := msn-pecan-$(version)
dist:
	git archive --format=tar --prefix=$(base)/ HEAD > /tmp/$(base).tar
	mkdir -p $(base)
	git-changelog > $(base)/ChangeLog
	chmod 664 $(base)/ChangeLog
	tar --append -f /tmp/$(base).tar --owner root --group root $(base)/ChangeLog
	echo $(version) > $(base)/.version
	chmod 664 $(base)/.version
	tar --append -f /tmp/$(base).tar --owner root --group root $(base)/.version
	rm -r $(base)
	bzip2 /tmp/$(base).tar

install: $(plugin)
	mkdir -p $(D)/$(PURPLE_PLUGINDIR)
	install $(plugin) $(D)/$(PURPLE_PLUGINDIR)
	# chcon -t textrel_shlib_t $(D)/$(PURPLE_PLUGINDIR)/$(plugin) # for selinux

uninstall:
	rm -f $(D)/$(PURPLE_PLUGINDIR)/$(plugin)
	for x in $(CATALOGS); do \
	rm -f $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
	done

update_locales: messages.pot
	for x in $(CATALOGS); do \
	msgmerge -N -U --backup=off po/$$x.po $<; \
	done

locales: $(foreach e,$(CATALOGS),po/$(e).mo)

install_locales: locales
	for x in $(CATALOGS); do \
	mkdir -p $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/; \
	install -D po/$$x.mo $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
	done

win32-check:
	test -f win32/libintl.dll.a

win32: D := libmsn-pecan
win32: win32-check $(plugin) locales
	mkdir -p $(D)/plugins
	cp $(plugin) libmsn-pecan-$(version)-dbg.dll
	$(CROSS_COMPILE)strip $(plugin)
	cp $(plugin) $(D)/plugins/
	for x in $(CATALOGS); do \
	mkdir -p $(D)/locale/$$x/LC_MESSAGES/; \
	cp po/$$x.mo $(D)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
	done
	cp COPYING $(D)
	tar -cf /tmp/libmsn-pecan.tar $(D)

-include $(deps)

## msn-pecan 0.1.1

=== Makefile ===
--- 
+++ 
@@ -238,8 +238,7 @@
 	bzip2 /tmp/$(base).tar
 
 install: $(plugin)
-	mkdir -p $(D)/$(PURPLE_PLUGINDIR)
-	install $(plugin) $(D)/$(PURPLE_PLUGINDIR)
+	install -D $(plugin) $(D)/$(PURPLE_PLUGINDIR)/$(plugin)
 	# chcon -t textrel_shlib_t $(D)/$(PURPLE_PLUGINDIR)/$(plugin) # for selinux
 
 uninstall:
@@ -257,8 +256,7 @@
 
 install_locales: locales
 	for x in $(CATALOGS); do \
-	mkdir -p $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/; \
-	install -D po/$$x.mo $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
+	install -m 644 -D po/$$x.mo $(D)/$(PURPLE_DATADIR)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
 	done
 
 win32-check:

=== debian/changelog ===
msn-pecan (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 7.
  * Switch to format 3.0 (quilt).
  * debian/patches/disable-directconn.patch: disable direct connections
    support.
  * debian/watch: fix link and check only for stable releases.
  * debian/rules: adjust get-orig-source target to download only stable
    releases tarballs.
  * Bump Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 09 Sep 2010 23:18:35 +0200

msn-pecan (0.1.0~rc2-1) unstable; urgency=low

  * New upstream release (Closes: #547580).
  * Fix debhelper-but-no-misc-depends lintian warnings.
  * Bump Standards-Version to 3.8.3.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 28 Dec 2009 18:55:12 +0100

msn-pecan (0.1.0~rc1-1) unstable; urgency=low

  * New upstream release (Closes: #528231).
  * Add pidgin-copyright to debian/docs.
  * debian/control: set libpurple-dev to >= 2.5.0 in Build-Depends field.
  * debian/control: update msn-pecan and msn-pecan-dbg Description fields.
  * Update debian/copyright file.
  * Update debian/watch file.
  * debian/rules: modify get-orig-source target in order to generate rc
    releases tarballs too.
  * Fix wrong-section-according-to-package-name lintian warning.
  * Bump Standards-Version to 3.8.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 10 Aug 2009 23:34:29 +0200

msn-pecan (0.0.18-1) unstable; urgency=low

  * New upstream release (Closes: #511585).
  * Provide msn-pecan-dbg package.
  * Update msn-pecan Description field in debian/control.
  * Update debian/copyright.
  * Remove msn-pecan Replaces field in debian/control.
  * Makefile: do not install russian translation, fix FTBFS.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 16 Feb 2009 18:31:29 +0100

msn-pecan (0.0.16-1) unstable; urgency=low

  * New upstream release.
  * Adjust GPL-2 complete text link in debian/copyright.
  * Adjust get-orig-source target in debian/rules.
  * Add AUTHORS to debian/docs.
  * Update msn-pecan Description field in debian/control.
  * Fix executable-not-elf-or-script lintian warnings.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 15 Sep 2008 17:19:09 +0200

msn-pecan (0.0.14-3) unstable; urgency=low

  * Update my email address.
  * Adjust get-orig-source target in debian/rules to use uscan to download the
    upstream tarball.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 07 Aug 2008 00:34:04 +0200

msn-pecan (0.0.14-2) unstable; urgency=low

  * Change source name to msn-pecan because msn-pecan is a MSN protocol not
    only a plugin for pidgin.
  * Rename pidgin-msn-pecan package to msn-pecan, also add a Replaces field
    with pidgin-msn-pecan in debian/control.
  * Add libpurple-dev instead of pidgin-dev to Build-Depends field in
    debian/rules.
  * Remove dh_pidgin call from debian/rules.
  * Remove ${misc:Depends} from msn-pecan Depends field in debian/control.
  * Adjust package description.
  * Adjust get-orig-source target in debian/rules.
  * Modify Standards-Version from 3.8.0.1 to 3.8.0, so I don't need to change
    it for each 3.8.0.* version.

 -- Devid Antonio Filoni <d.filoni@techemail.com>  Mon, 14 Jul 2008 22:17:22 +0200

pidgin-msn-pecan (0.0.14-1) unstable; urgency=low

  * Initial release (Closes: #486457).

 -- Devid Antonio Filoni <d.filoni@techemail.com>  Thu, 19 Jun 2008 13:10:54 +0200

=== debian/control ===
Source: msn-pecan
Section: net
Priority: extra
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), libpurple-dev (>= 2.5.0)
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/msn-pecan/

Package: msn-pecan
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: alternative MSN protocol plug-in for libpurple
 msn-pecan is an alternative and improved implementation of the MSN protocol
 plug-in for libpurple.
 .
 It's based on the code from 2.2.2 but slowly becoming a completely different
 code. The project aims to have a much faster development process, low barrier
 for contributions, and close contact with the user-base.

Package: msn-pecan-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, msn-pecan (= ${binary:Version})
Description: debugging symbols for msn-pecan
 msn-pecan is an alternative and improved implementation of the MSN protocol
 plug-in for libpurple.
 .
 It's based on the code from 2.2.2 but slowly becoming a completely different
 code. The project aims to have a much faster development process, low barrier
 for contributions, and close contact with the user-base.
 .
 This package contains the debugging symbols associated with msn-pecan.

## msn-pecan 0.1.2

=== Makefile ===
--- 
+++ 
@@ -30,12 +30,12 @@
 	-Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
 	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -ansi -std=c99
 
-SIMPLE_WARNINGS := -Wextra -ansi -std=c99 -Wno-unused-parameter
+SIMPLE_WARNINGS := -Wall -Wextra -ansi -std=c99 -Wno-unused-parameter -Wmissing-prototypes
 
 OTHER_WARNINGS := -D_FORTIFY_SOURCE=2 -fstack-protector -g3 -Wdisabled-optimization \
 	-Wendif-labels -Wformat=2 -Wstack-protector -Wswitch
 
-CFLAGS += -Wall # $(EXTRA_WARNINGS)
+CFLAGS += -Wall $(SIMPLE_WARNINGS)
 
 ifdef DEBUG
   override CFLAGS += -ggdb
@@ -94,6 +94,7 @@
 	   pn_status.o \
 	   pn_oim.o \
 	   pn_dp_manager.o \
+	   pn_auth.o \
 	   cmd/cmdproc.o \
 	   cmd/command.o \
 	   cmd/msg.o \

=== debian/changelog ===
msn-pecan (0.1.2-1) unstable; urgency=low

  * New upstream release (LP: #624733).
  * debian/rules: remove get-orig-source target.
  * Bump Standards-Version to 3.9.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 09 May 2011 20:53:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), libpurple-dev (>= 2.5.0)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/msn-pecan/
 
 Package: msn-pecan

## msn-pecan 0.1.3

=== Makefile ===
--- 
+++ 
@@ -22,15 +22,16 @@
 PLUS_SOUNDS := y
 DEBUG := y
 DIRECTCONN := y
+GIO := y
 
 CFLAGS := -O2
 
 EXTRA_WARNINGS := -Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith \
 	-Wbad-function-cast -Wmissing-prototypes -Wstrict-prototypes \
 	-Wmissing-declarations -Winline -Wundef -Wnested-externs -Wcast-qual \
-	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -ansi -std=c99
-
-SIMPLE_WARNINGS := -Wall -Wextra -ansi -std=c99 -Wno-unused-parameter -Wmissing-prototypes
+	-Wshadow -Wwrite-strings -Wno-unused-parameter -Wfloat-equal -std=c99
+
+SIMPLE_WARNINGS := -Wall -Wextra -std=c99 -Wno-unused-parameter -Wmissing-prototypes
 
 OTHER_WARNINGS := -D_FORTIFY_SOURCE=2 -fstack-protector -g3 -Wdisabled-optimization \
 	-Wendif-labels -Wformat=2 -Wstack-protector -Wswitch
@@ -198,7 +199,7 @@
 endif
 
 $(plugin): $(objects)
-$(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GIO_CFLAGS) $(FALLBACK_CFLAGS) -D VERSION='"$(version)"'
+$(plugin): CFLAGS := $(CFLAGS) $(PURPLE_CFLAGS) $(GIO_CFLAGS) -D VERSION='"$(version)"'
 $(plugin): LIBS := $(plugin_libs)
 
 messages.pot: $(sources)
@@ -263,7 +264,7 @@
 win32-check:
 	test -f win32/libintl.dll.a
 
-win32: D := libmsn-pecan
+win32: D := win32/libmsn-pecan
 win32: win32-check $(plugin) locales
 	mkdir -p $(D)/plugins
 	cp $(plugin) libmsn-pecan-$(version)-dbg.dll
@@ -274,6 +275,6 @@
 	cp po/$$x.mo $(D)/locale/$$x/LC_MESSAGES/libmsn-pecan.mo; \
 	done
 	cp COPYING $(D)
-	tar -cf /tmp/libmsn-pecan.tar $(D)
+	makensis win32/installer.nsi
 
 -include $(deps)

=== tests/Makefile ===
CC := gcc

GOBJECT_CFLAGS := $(shell pkg-config --cflags gobject-2.0)
GOBJECT_LIBS := $(shell pkg-config --libs gobject-2.0)

CHECK_CFLAGS := $(shell pkg-config --cflags check)
CHECK_LIBS := $(shell pkg-config --libs check)

CFLAGS := -Wall -ggdb -I..

cmd_parser_test_objects := cmd_parser.o \
			   ../io/pn_cmd_server.o \
			   ../io/pn_node.o \
			   ../cmd/cmdproc.o \
			   ../cmd/command.o \
			   ../cmd/transaction.o \
			   ../cmd/msg.o \
			   ../pn_log.o

buffer_test_objects := buffer.o \
		       ../pn_buffer.o

ab_test_objects := ab.o \
		   ../ab/pn_contact.o \
		   ../ab/pn_group.o \
		   ../ab/pn_contactlist.o \
		   ../pn_util.o

printf_test_objects := printf.o \
		       ../pn_printf.o

# from Lauri Leukkunen's build system
ifdef V
Q = 
P = @printf "" # <- space before hash is important!!!
else
P = @printf "[%s] $@\n" # <- space before hash is important!!!
Q = @
endif

all: 

check_buffer: buffer.o ../pn_buffer.o
check_buffer: CFLAGS := $(CFLAGS) $(GOBJECT_CFLAGS) $(CHECK_CFLAGS)
check_buffer: LIBS := $(GOBJECT_LIBS) $(CHECK_LIBS)

checks += check_buffer

check_parser: parser.o ../io/pn_parser.o ../io/pn_node.o ../io/pn_stream.o ../pn_log.o ../pn_printf.o
check_parser: CFLAGS := $(CFLAGS) $(GOBJECT_CFLAGS) $(CHECK_CFLAGS)
check_parser: LIBS := $(GOBJECT_LIBS) $(CHECK_LIBS)

checks += check_parser

check_util: util.o ../pn_util.o
check_util: CFLAGS := $(CFLAGS) $(GOBJECT_CFLAGS) $(CHECK_CFLAGS)
check_util: LIBS := $(GOBJECT_LIBS) $(CHECK_LIBS)

checks += check_util

check_printf: printf.o ../pn_printf.o
check_printf: CFLAGS := $(CFLAGS) $(GOBJECT_CFLAGS) $(CHECK_CFLAGS)
check_printf: LIBS := $(GOBJECT_LIBS) $(CHECK_LIBS)

checks += check_printf

all: $(checks)

check_%::
	$(P)LINK
	$(Q)$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

cmd_parser_test: $(cmd_parser_test_objects)
	$(CC) $(GOBJECT_LIBS) $+ -o $@

ab_test: $(ab_test_objects)
	$(CC) $(GOBJECT_LIBS) $+ -o $@

%.o: %.c
	$(CC) $(CFLAGS) $(GOBJECT_CFLAGS) $< -c -o $@

clean:
	rm -f printf_test $(printf_test_objects)
	rm -f ab_test $(ab_test_objects)
	rm -f cmd_parser_test $(cmd_parser_test_objects)
	rm -f $(checks)
	find . -name "*.o" | xargs rm -f

=== debian/changelog ===
msn-pecan (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Remove disable-directconn patch to enable direct connections support.

  [ Luca Falavigna ]
  * Enable DM upload.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 04 Sep 2011 13:46:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), libpurple-dev (>= 2.5.0)
 Standards-Version: 3.9.2
+DM-Upload-Allowed: yes
 Homepage: http://code.google.com/p/msn-pecan/
 
 Package: msn-pecan

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/msn-pecan install install_locales

override_dh_strip:
	dh_strip --dbg-package=msn-pecan-dbg

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
http://googlecode.debian.net/p/msn-pecan/msn-pecan-([0-9\.]*)\.tar\.bz2
